#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
; Show the user a dialogue box "are you ready"
if MsgBox(36, "Begin Installation?", "Welcome to Easy USB ADB Driver Pack for NookColor by IOMonster!" & @crlf & "Please make sure you do not have your NookColor plugged in to usb before continuing." & @CRLF & @CRLF & "Begin installation?") == 6 Then

	; Detect CPU Architecture

	if @OSArch == "X64" then
		$dpinst = "DPInst64.exe"
	else
		$dpinst = "dpinst.exe"
	EndIf


	; Run DPInst with proper switches

	$switches = "/q /lm /f"
	$installer = "\" & $dpinst
	$process = ShellExecuteWait(@ScriptDir & $installer, $switches, @ScriptDir)


	; Create ~/.android/adb_usb.ini

	$adb_ini = FileOpen(@UserProfileDir & "/.android/adb_usb.ini", 10)
	FileWrite($adb_ini, "0x2080")
	FileClose($adb_ini)


	; Notify user

	MsgBox(64, "Finshed!", "Drivers have successfully been installed." & @CRLF & @CRLF & "You may now plug in your NookColor." & @CRLF & "Tell Windows to not use Windows Update, and let it automatically search for drivers if it asks." & @CRLF & @CRLF & "That's all! Now head back to the nookdev wiki for more tips and tricks!")

else
	MsgBox(64, "Bye!", "Thanks anyway!")
	exit
EndIf


